<?php

namespace fid\Hydrator;

use fid\Service\DataTransferObject\Order;
use Zend\Hydrator\AbstractHydrator;

class OrderMissingRecordHydrator extends AbstractHydrator {

    public function extract($object)
    {
        return;
        // TODO: Implement extract() method.
    }

    /**
     * @param array $data
     * @param Order|object $object
     * @return Order|object|void
     */
    public function hydrate(array $data, $object)
    {
        $object->setType($data['type']);
        $object->setUser($data['user']);

        $digitization = array_key_exists('digitization', $data) ? $data['digitization'] : null;
        $partialCopy = null;
        $record = null;

        $object->setData(compact('record','partialCopy','digitization'));
        $object->setLabel($data['label']);
        return;
    }
}